

/**
 * 工具类自动生成的API，请勿做任何修改，请勿做任何修改，请勿做任何修改（重要的事情说3遍）
 * 工具作者: 杨志杰
 * 生成html窗口xml 
 */
var HtmlWindowResource = {};
/**
	 * 工具类自动生成的方法
	 * 工具作者: 杨志杰
	 * 根据HTML窗口编号查询HTML窗口DTO 
	 */
HtmlWindowResource.uniqueByNo = function (no) {
	var requestUrl = "/api/HtmlWindowResource/uniqueByNo";
	var paramCount = 0;
	if (no != null) {
		requestUrl += (paramCount > 0) ? '&' : '?';
		requestUrl += ('no=' + no);
		paramCount++;
	}
	return new Promise(function(resolve, reject) {
		$.ajax({
			url: Common.getUrlApi(requestUrl),
			type: "get",
			dataType: "json",
			beforeSend: function (request) {
				addTokenToRequest(request);
			},
			success: function (data) {
				resolve(data);
			},
			error: function (XMLHttpRequest, textStatus, errorThrown) {
				reject(XMLHttpRequest);
			}
		});
	});
}
